| Version: 3.2.5

Classes | Macros | Variables
fontpicker.h File Reference

## Classes

class | wxFontPickerCtrl
| This control allows the user to select a font. More...
class | wxFontPickerEvent
| This event class is used for the events generated by wxFontPickerCtrl. More...

## Macros

#define | wxFNTP_FONTDESC_AS_LABEL 0x0008
#define | wxFNTP_USEFONT_FOR_LABEL 0x0010
#define | wxFONTBTN_DEFAULT_STYLE (wxFNTP_FONTDESC_AS_LABEL | wxFNTP_USEFONT_FOR_LABEL)
#define | wxFNTP_USE_TEXTCTRL (wxPB_USE_TEXTCTRL)
#define | wxFNTP_DEFAULT_STYLE (wxFNTP_FONTDESC_AS_LABEL|wxFNTP_USEFONT_FOR_LABEL)

## Variables

wxEventType | wxEVT_FONTPICKER_CHANGED

## Macro Definition Documentation

## ◆ wxFNTP_DEFAULT_STYLE

#define wxFNTP_DEFAULT_STYLE (wxFNTP_FONTDESC_AS_LABEL|wxFNTP_USEFONT_FOR_LABEL)

## ◆ wxFNTP_FONTDESC_AS_LABEL

#define wxFNTP_FONTDESC_AS_LABEL 0x0008

## ◆ wxFNTP_USE_TEXTCTRL

#define wxFNTP_USE_TEXTCTRL (wxPB_USE_TEXTCTRL)

## ◆ wxFNTP_USEFONT_FOR_LABEL

#define wxFNTP_USEFONT_FOR_LABEL 0x0010

## ◆ wxFONTBTN_DEFAULT_STYLE

#define wxFONTBTN_DEFAULT_STYLE (wxFNTP_FONTDESC_AS_LABEL | wxFNTP_USEFONT_FOR_LABEL)

## Variable Documentation

## ◆ wxEVT_FONTPICKER_CHANGED

wxEventType wxEVT_FONTPICKER_CHANGED